"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F1A0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F240>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F2E0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F380>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F420>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F4C0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F560>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F600>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F6A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F740>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F7E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F880>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F920>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2F9C0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FA60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FB00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FBA0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FC40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FCE0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FD80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FE20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FEC0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D3C2FF60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC0E0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC180>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC220>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC2C0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC360>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC4A0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC540>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC5E0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC680>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC720>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC7C0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC860>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC900>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CC9A0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCA40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCAE0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCB80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCC20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCCC0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCD60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCE00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCEA0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCF40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CCFE0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD080>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD120>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD1C0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD260>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD300>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD3A0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD440>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD4E0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD580>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD620>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD6C0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD760>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD800>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD8A0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CD9E0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDA80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDB20>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDBC0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDC60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDD00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDDA0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDE40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDEE0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CDF80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE020>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE0C0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE200>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE2A0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE340>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE480>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE3E0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE520>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE5C0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001A4D46CE660>)]
name: str = 'fr_HOCCN'
